NWBPADD(8)

NAME
nwbpadd - Set the value of a NetWare Bindery Property

SYNOPSIS
nwbpadd [ -h ] [ -S server ] [ -U user name ] [ -P password | -n ] [ -C ] [ -o object name ] [ -t type ] [ -p property ] value

DESCRIPTION
nwbpadd sets the value of a ITEM type property, and adds bindery objects to a SET type property. nwbpadd looks up the file $HOME/.nwclient to find a file server, a user name and possibly a password. See nwclient(5) for more information. Please note that the access permissions of $HOME/.nwclient MUST be 600 for security reasons.

OPTIONS
-h
    -h is used to print out a short help text.
-S server
    server is the name of the server you want to use.
-U user
    user is the user name to use for login.
-P password
    password is the password to use for login. If neither -n nor -P are given, and the user has no open connection to the server, nwbpadd prompts for a password.
-n
    -n should be given if no password is required for the login.
-C
    By default, passwords are converted to uppercase before they are sent to the server, because most servers require this. You can turn off this conversion by -C.
-o object name
    The name of the object to be touched.
-t object type
    The type of the object. Object type must be specified as a decimal value. Common values are 1 for user objects, 2 for group objects and 3 for print queues. Other values are allowed, but are usually used for specialized applications.
-p property
    The name of the property to be set.
value
    If property is of type SET, value is an object id in hexadecimal notation. Otherwise, value is either a string value to be written, or a count of bytes to be written. The latter is assumed if more than one value argument is given. The count is decimal, and the following arguments are interpreted as bytes in hexadecimal notation. Examples: All these examples assume the existence of the file $HOME/.nwclient. Otherwise, the server and user would have to be specified. nwbpadd -o linus -t 1 -p groups_i\'m_in 030a0002 In this example, user linus is added to the group whose ID is 030a0002. Please note that the ' has to be quoted. nwbpadd -o linus -t 1 -p identification "Linus Torvalds" User linus is given his real name :-). nwbpadd -o linus -t 1 -p revision -v 04 00 00 01 0b A new 4-byte binary value 0x0000010b (hi-lo order, no byte-swapping) is added to the "REVISION" property of the user "linus".

AUTHORS
nwbpadd was written by Volker Lendecke with the corresponding Caldera utility in mind. See the Changes file of ncpfs for other contributors.